OpenCV: cv::viz::WCameraPosition Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::viz::WCameraPosition Class Reference
3D Visualizer » Widget

This 3D Widget represents camera position in a scene by its axes or viewing frustum. : More...

`#include "widgets.hpp"`

Inheritance diagram for cv::viz::WCameraPosition:

## Public Member Functions
| WCameraPosition (double scale=1.0)
| Creates camera coordinate frame at the origin. More...
| WCameraPosition (const Matx33d &K, double scale=1.0, const Color &color=Color::white())
| Display the viewing frustum. More...
| WCameraPosition (const Vec2d &fov, double scale=1.0, const Color &color=Color::white())
| Display the viewing frustum. More...
| WCameraPosition (const Matx33d &K, InputArray image, double scale=1.0, const Color &color=Color::white())
| Display image on the far plane of the viewing frustum. More...
| WCameraPosition (const Vec2d &fov, InputArray image, double scale=1.0, const Color &color=Color::white())
| Display image on the far plane of the viewing frustum. More...
Public Member Functions inherited from cv::viz::Widget3D
| Widget3D ()
void | applyTransform (const Affine3d &transform)
| Transforms internal widget data (i.e. points, normals) using the given transform. More...
Affine3d | getPose () const
| Returns the current pose of the widget. More...
void | setColor (const Color &color)
| Sets the color of the widget. More...
void | setPose (const Affine3d &pose)
| Sets pose of the widget. More...
void | updatePose (const Affine3d &pose)
| Updates pose of the widget by pre-multiplying its current pose. More...
Public Member Functions inherited from cv::viz::Widget
| Widget ()
| Widget (const Widget &other)
| ~Widget ()
template<typename _W >
_W | cast ()
| Casts a widget to another. More...
template<>
Widget2D | cast ()
| Utility exports. More...
template<>
Widget3D | cast ()
template<>
WLine | cast ()
template<>
WPlane | cast ()
template<>
WSphere | cast ()
template<>
WCylinder | cast ()
template<>
WArrow | cast ()
template<>
WCircle | cast ()
template<>
WCone | cast ()
template<>
WCube | cast ()
template<>
WCoordinateSystem | cast ()
template<>
WPolyLine | cast ()
template<>
WGrid | cast ()
template<>
WText3D | cast ()
template<>
WText | cast ()
template<>
WImageOverlay | cast ()
template<>
WImage3D | cast ()
template<>
WCameraPosition | cast ()
template<>
WTrajectory | cast ()
template<>
WTrajectoryFrustums | cast ()
template<>
WTrajectorySpheres | cast ()
template<>
WCloud | cast ()
template<>
WPaintedCloud | cast ()
template<>
WCloudCollection | cast ()
template<>
WCloudNormals | cast ()
template<>
WMesh | cast ()
template<>
WWidgetMerger | cast ()
double | getRenderingProperty (int property) const
| Returns rendering property of the widget. More...
Widget & | operator= (const Widget &other)
void | setRenderingProperty (int property, double value)
| Sets rendering property of the widget. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::viz::Widget
static Widget | fromPlyFile (const String &file_name)
| Creates a widget from ply file. More...

## Detailed Description

This 3D Widget represents camera position in a scene by its axes or viewing frustum. :

## Constructor & Destructor Documentation

## ◆ WCameraPosition() [1/5]

cv::viz::WCameraPosition::WCameraPosition | ( | double | scale = `1.0` | ) |

Creates camera coordinate frame at the origin.

Camera coordinate frame

## ◆ WCameraPosition() [2/5]

cv::viz::WCameraPosition::WCameraPosition | ( | const Matx33d & | K,
|  | double | scale = `1.0`,
|  | const Color & | color = `Color::white()`
| ) |  |

Display the viewing frustum.

Parameters

  K | Intrinsic matrix of the camera.
  scale | Scale of the frustum.
  color | Color of the frustum.

Creates viewing frustum of the camera based on its intrinsic matrix K.

Camera viewing frustum

## ◆ WCameraPosition() [3/5]

cv::viz::WCameraPosition::WCameraPosition | ( | const Vec2d & | fov,
|  | double | scale = `1.0`,
|  | const Color & | color = `Color::white()`
| ) |  |

Display the viewing frustum.

Parameters

  fov | Field of view of the camera (horizontal, vertical).
  scale | Scale of the frustum.
  color | Color of the frustum.

Creates viewing frustum of the camera based on its field of view fov.

Camera viewing frustum

## ◆ WCameraPosition() [4/5]

cv::viz::WCameraPosition::WCameraPosition | ( | const Matx33d & | K,
|  | InputArray | image,
|  | double | scale = `1.0`,
|  | const Color & | color = `Color::white()`
| ) |  |

Display image on the far plane of the viewing frustum.

Parameters

  K | Intrinsic matrix of the camera.
  image | BGR or Gray-Scale image that is going to be displayed on the far plane of the frustum.
  scale | Scale of the frustum and image.
  color | Color of the frustum.

Creates viewing frustum of the camera based on its intrinsic matrix K, and displays image on the far end plane.

Camera viewing frustum with image

## ◆ WCameraPosition() [5/5]

cv::viz::WCameraPosition::WCameraPosition | ( | const Vec2d & | fov,
|  | InputArray | image,
|  | double | scale = `1.0`,
|  | const Color & | color = `Color::white()`
| ) |  |

Display image on the far plane of the viewing frustum.

Parameters

  fov | Field of view of the camera (horizontal, vertical).
  image | BGR or Gray-Scale image that is going to be displayed on the far plane of the frustum.
  scale | Scale of the frustum and image.
  color | Color of the frustum.

Creates viewing frustum of the camera based on its intrinsic matrix K, and displays image on the far end plane.

Camera viewing frustum with image

The documentation for this class was generated from the following file:

- viz/include/opencv2/viz/widgets.hpp